[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CMDoubleBufferedChanged

Handler for changes to the DoubleBuffered property.

## Declaration

Source position: controls.pp line 2198

`protected procedure TWinControl.CMDoubleBufferedChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Message examined in the method.

## Description

CMDoubleBufferedChanged is the handler used to process CM_PARENTDOUBLEBUFFEREDCHANGED messages when the value in DoubleBuffered has been been changed.

CMDoubleBufferedChanged calls NotifyControls to apply the message in the widgetset class; the value in the Message argument is ignored.

CMDoubleBufferedChanged calls Invalidate to cause the control to be redrawn.

## See also

TWinControl.DoubleBuffered |  | When enabled, it reduces flicker when the control is painted.
TWinControl.NotifyControls |  | Sends a message to all child controls.
TWinControl.Invalidate |  | Schedules a repaint request.